Retrieve Cards

Retrieve customer's cards from token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to retrieve the Card details saved by customers. You can list the details according to the merchant's design in your browser.

Request Model

The request is a POST request with the following parameters:

Input ParameterTypeLengthDescription
customerUniqueTokeninteger, mandatory8 (minimum)Pass customer's unique token here. This unique token will retrieved all saved card. You will get customerUniqueToken from Create Token API
{
    "customerUniqueToken":8866268287
}

Response Model

{
    "status": true,
    "message": "Card received successfully",
    "data": {
        "customerCards": [
            {
                "brand": "MASTERCARD",
                "number": "512345xxxxxx0008",
                "scheme": "MASTERCARD",
                "token": "9735417547051929"
            }
        ]
    }
}
{
    "status": true,
    "message": "Card received successfully",
    "data": {
        "customerCards": [
            {
                "brand": "MASTERCARD",
                "number": "512345xxxxxx0008",
                "scheme": "MASTERCARD",
                "token": "9707735648585576"
            },
            {
                "brand": "MASTERCARD",
                "number": "512345xxxxxx2513",
                "scheme": "MASTERCARD",
                "token": "9851918838414013"
            }
        ]
    }
}

Flow of Add Card and Retrieve card

📘

Try it now by editing the Body Params section

Change values and click "Try It!" in the editor

Body Params
string
Defaults to 9904917379121

Insert your own Customer Unique Token

Headers
string
Defaults to Bearer jtest123
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json